package com.ruoyi.cai.mq.handle.dto;

import com.ruoyi.cai.mq.dto.CommonConsumerEnum;
import com.ruoyi.cai.mq.dto.CommonDTO;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class RankDTO extends CommonDTO {

    /**
     * 1-魅力榜
     * 2-邀请榜
     */
    private Integer rankType;
    private Long userId;
    private Long price;
    private LocalDateTime happenTime;
    private Long traceId;

    public RankDTO() {
        this.setType(CommonConsumerEnum.RANK);
        this.happenTime = LocalDateTime.now();
    }

}
